# Cross Sell

## GET /crosssells

> Get Cross Sell campaigns by filter

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells":{"get":{"tags":["Cross Sell"],"summary":"Get Cross Sell campaigns by filter","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"CampaignName","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Status","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Type","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","enum":["MERCH","AFF"]}},{"name":"Products","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"RecommendedProducts","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"StartDate","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"EndDate","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"number"}},{"name":"Limit","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"Returns Cross Sell campaign collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellCampaignSearchResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellSearchError"}}}}}}}},"components":{"schemas":{"CrossSellCampaignSearchResponse":{"type":"object","properties":{"Items":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellCampaign"}},"Pagination":{"$ref":"#/components/schemas/Pagination"}}},"CrossSellCampaign":{"type":"object","properties":{"IdCrossSellingCampaign":{"type":"number"},"Name":{"type":"string"},"CampaignCode":{"type":"string"},"DisplayType":{"type":"string","enum":["cart","review","finish"]},"ProductCode":{"type":"string","enum":["cart","review","finish"]},"MasterProducts":{"type":"array","items":{"type":"string"}},"Products":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProduct_Search"}}}},"CrossSellProduct_Search":{"type":"object","properties":{"ProductCode":{"type":"string"},"Discount":{"type":"integer"},"DiscountType":{"type":"string","enum":["PERCENT"]},"Type":{"type":"string","enum":["Network","Own"]},"AutoAdded":{"type":"boolean"},"DiscountedPrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductDiscountedPrice"}},"BasePrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductBasePrice"}}}},"CrossSellProductDiscountedPrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"CrossSellProductBasePrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"Pagination":{"type":"object","properties":{"Page":{"type":"integer"},"Limit":{"type":"integer"},"Count":{"type":"integer"}}},"CrossSellSearchError":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## POST /crosssells

> Create a new Cross Sell campaign

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells":{"post":{"tags":["Cross Sell"],"summary":"Create a new Cross Sell campaign","operationId":"crossSellCreate","parameters":[{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellCreate"}}}},"responses":{"200":{"description":"Create campaign response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellResponse"}}}},"400":{"description":"Create campaign response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellResponseException"}}}}}}}},"components":{"schemas":{"CrossSellCreate":{"required":["DisplayInEmail","DisplayType","MasterProducts","Name","Products"],"type":"object","properties":{"Name":{"type":"string","description":"Name of campaign, max 255 chars."},"MasterProducts":{"type":"array","items":{"type":"string","description":"array of product code ids to which this cross sell is going to be applied to"}},"DisplayType":{"type":"string","description":"Where should cross sell products be displayed","enum":["cart","review","finish"]},"DisplayInEmail":{"type":"boolean","description":"true/false - display in payment receipt emails or not"},"Products":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProduct_Response"}},"StartDate":{"type":"string","description":"When should campaign start","nullable":true},"EndDate":{"type":"string","description":"When should campaign end","nullable":true}}},"CrossSellProduct_Response":{"required":["Discount","DiscountType","ProductCode","DiscountedPrice"],"type":"object","properties":{"ProductCode":{"type":"string","description":"product code id of a product that will be suggested"},"Discount":{"type":"number","format":"float","description":"Discount number (in percent), between 0-100"},"DiscountType":{"type":"string","description":"can only be 'PERCENT'","enum":["PERCENT"]},"DiscountedPrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductDiscountedPrice"}},"Errors":{"type":"array","items":{"type":"string"}}}},"CrossSellProductDiscountedPrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"CrossSellResponse":{"type":"object","properties":{"CampaignCode":{"type":"string"},"Name":{"type":"string"},"MasterProducts":{"type":"array","items":{"type":"string"}},"DisplayType":{"type":"string","enum":["cart","review","finish"]},"DisplayInEmail":{"type":"boolean"},"Products":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProduct_Response"}},"StartDate":{"type":"string"},"EndDate":{"type":"string"},"Errors":{"type":"array","items":{"type":"string","description":"Validation errors, will be empty in case of successful request"}}}},"CrossSellResponseException":{"type":"object","properties":{"error_code":{"type":"string","description":"Error type"},"message":{"type":"string","description":"Error message"}}}}}}
```

## PUT /crosssells

> Update a Cross Sell campaign

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells":{"put":{"tags":["Cross Sell"],"summary":"Update a Cross Sell campaign","operationId":"crossSellUpdate","parameters":[{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellUpdate"}}}},"responses":{"200":{"description":"Update campaign success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellUpdateResponse"}}}},"400":{"description":"Update campaign error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellResponseException"}}}}}}}},"components":{"schemas":{"CrossSellUpdate":{"allOf":[{"type":"object","required":["CampaignCode","CampaignStatus"],"properties":{"CampaignCode":{"type":"string","description":"The unique code of the cross-sell campaign"},"CampaignStatus":{"type":"string","description":"The cross-selll campaign status","enum":["ACTIVE","DISABLED"]}}},{"$ref":"#/components/schemas/CrossSellCreate"}]},"CrossSellCreate":{"required":["DisplayInEmail","DisplayType","MasterProducts","Name","Products"],"type":"object","properties":{"Name":{"type":"string","description":"Name of campaign, max 255 chars."},"MasterProducts":{"type":"array","items":{"type":"string","description":"array of product code ids to which this cross sell is going to be applied to"}},"DisplayType":{"type":"string","description":"Where should cross sell products be displayed","enum":["cart","review","finish"]},"DisplayInEmail":{"type":"boolean","description":"true/false - display in payment receipt emails or not"},"Products":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProduct_Response"}},"StartDate":{"type":"string","description":"When should campaign start","nullable":true},"EndDate":{"type":"string","description":"When should campaign end","nullable":true}}},"CrossSellProduct_Response":{"required":["Discount","DiscountType","ProductCode","DiscountedPrice"],"type":"object","properties":{"ProductCode":{"type":"string","description":"product code id of a product that will be suggested"},"Discount":{"type":"number","format":"float","description":"Discount number (in percent), between 0-100"},"DiscountType":{"type":"string","description":"can only be 'PERCENT'","enum":["PERCENT"]},"DiscountedPrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductDiscountedPrice"}},"Errors":{"type":"array","items":{"type":"string"}}}},"CrossSellProductDiscountedPrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"CrossSellUpdateResponse":{"allOf":[{"$ref":"#/components/schemas/CrossSellUpdate"},{"type":"object","properties":{"Errors":{"type":"array","items":{"type":"string"}}}}]},"CrossSellResponseException":{"type":"object","properties":{"error_code":{"type":"string","description":"Error type"},"message":{"type":"string","description":"Error message"}}}}}}
```

## GET /crosssells/{campaignCode}/campaign

> Get Cross Sell campaigns by code

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells/{campaignCode}/campaign":{"get":{"tags":["Cross Sell"],"summary":"Get Cross Sell campaigns by code","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"campaignCode","in":"path","required":true,"style":"simple","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns Cross Sell campaign collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCrossSellResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellError"}}}}}}}},"components":{"schemas":{"GetCrossSellResponse":{"type":"object","properties":{"CampaignCode":{"type":"string"},"Name":{"type":"string","enum":["cart","review","finish"]},"CampaignStatus":{"type":"string","enum":["ACTIVE","DISABLED"]},"CampaignOwnerType":{"type":"string","enum":["MERCH","AFF"]},"MasterProducts":{"type":"array","items":{"type":"string"}},"DisplayType":{"type":"string","enum":["cart","review","finish"]},"DisplayInEmail":{"type":"boolean"},"Products":{"type":"array","items":{"$ref":"#/components/schemas/GetCrossSellProduct_Response"}},"StartDate":{"type":"string"},"EndDate":{"type":"string"}}},"GetCrossSellProduct_Response":{"required":["Discount","DiscountType","ProductCode","DiscountedPrice","BasePrice"],"type":"object","properties":{"ProductCode":{"type":"string","description":"product code id of a product that will be suggested"},"Discount":{"type":"number","description":"Discount number (in percent), between 0-100"},"DiscountType":{"type":"string","description":"can only be 'PERCENT'","enum":["PERCENT"]},"DiscountedPrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductDiscountedPrice"}},"BasePrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductBasePrice"}}}},"CrossSellProductDiscountedPrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"CrossSellProductBasePrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"CrossSellError":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## POST /crosssells/settings/

>

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells/settings/":{"post":{"tags":["Cross Sell"],"parameters":[{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns cross sell","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellSetting"}}}},"500":{"description":"Validation errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellError"}}}}}}}},"components":{"schemas":{"CrossSellSetting":{"required":["displayProductsMax","maxThumbSize"],"type":"object","properties":{"displayProductsMax":{"type":"integer"},"maxThumbSize":{"type":"integer","enum":[60,80,100,150]},"displayShortDescription":{"type":"boolean"}}},"CrossSellError":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Add cross-sell campaign texts

> \*\*\*\
> \
> \*\*Overview\*\*\
> Add cross-sell campaigns texts.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells/campaignTexts/":{"post":{"tags":["Cross Sell"],"summary":"Add cross-sell campaign texts","operationId":"addCrossSellTexts","description":"***\n\n**Overview**\nAdd cross-sell campaigns texts.","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellTextsRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellTextsResponse"}}}}}}}},"components":{"schemas":{"CrossSellTextsRequest":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellTextRequest"}},"CrossSellTextRequest":{"type":"object","properties":{"Language":{"type":"string","description":"language code"},"Title":{"type":"string","description":"campaign title in the related language"},"Description":{"type":"string","description":"campaign description in the related language"}}},"CrossSellTextsResponse":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellTextResponse"}},"CrossSellTextResponse":{"allOf":[{"$ref":"#/components/schemas/CrossSellTextRequest"},{"type":"object","properties":{"Errors":{"type":"array","items":{"type":"string"}}}}]}}}}
```

## Edit cross-sell campaign texts

> \*\*\*\
> \
> \*\*Overview\*\*\
> Edit cross-sell campaigns texts.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crosssells/campaignTexts/":{"put":{"tags":["Cross Sell"],"summary":"Edit cross-sell campaign texts","operationId":"editCrossSellTexts","description":"***\n\n**Overview**\nEdit cross-sell campaigns texts.","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellTextsRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellTextsResponse"}}}}}}}},"components":{"schemas":{"CrossSellTextsRequest":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellTextRequest"}},"CrossSellTextRequest":{"type":"object","properties":{"Language":{"type":"string","description":"language code"},"Title":{"type":"string","description":"campaign title in the related language"},"Description":{"type":"string","description":"campaign description in the related language"}}},"CrossSellTextsResponse":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellTextResponse"}},"CrossSellTextResponse":{"allOf":[{"$ref":"#/components/schemas/CrossSellTextRequest"},{"type":"object","properties":{"Errors":{"type":"array","items":{"type":"string"}}}}]}}}}
```

## Retrieve cross-sell campaign texts

> \*\*\*\
> \
> \*\*Overview\*\*\
> Extract information on all cross-sell campaigns texts.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crossselltexts/":{"get":{"tags":["Cross Sell"],"summary":"Retrieve cross-sell campaign texts","description":"***\n\n**Overview**\nExtract information on all cross-sell campaigns texts.","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{}}}}}}}}
```

## Retrieve cross-sell campaign texts

> \*\*\*\
> \
> \*\*Overview\*\*\
> Extract information on all cross-sell campaigns texts.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/crossselltexts/{Language}/":{"get":{"tags":["Cross Sell"],"summary":"Retrieve cross-sell campaign texts","description":"***\n\n**Overview**\nExtract information on all cross-sell campaigns texts.","parameters":[{"name":"Language","in":"path","description":"ISO 4217 code for the language of the cross-sell campaign text.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/api-reference/reference/cross-sell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
